[ejabberd] PyMSNt and PyICQt

Andreas van Cranenburgh andreas at unstable.nl
Sat Feb 19 18:46:07 MSK 2005


On Sat, 2005-02-19 at 16:39 +0100, Yves Goergen wrote:
> > 16:36 root at mond ~ > apt-get install libssl-dev
> > Reading Package Lists... Done
> > Building Dependency Tree... Done
> > You might want to run `apt-get -f install' to correct these:
> > Sorry, but the following packages have unmet dependencies:
> >   ejabberd: Depends: openssl but it is not going to be installed
> >   libssl-dev: Depends: libssl0.9.6 (= 0.9.6c-2.woody.7) but 0.9.6c-2.woody.6 is to be installed
> > E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
> 
> It seems I need to build ejabberd from source... Packages are nice but
> once you bypass them you can forget the entire system.

No, it doesn't (although it's a solution too). Your Debian package
manager is a bit confused and it needs to become un-confused. Eg.
"apt-get -f install" like it suggest, but other solutions might help
more (I can't tell from here, but maybe removing something).

This was a big reason for me to leav Woody behind, all those ancient
packages got on my nerves very much (these conflicts often occur with
software not in Woody yet). Sid is much better IMHO. Have you tried
woody backports from www.apt-get.org? Have you added a repositery with
ejabberd packages specifically compiled for woody? Such a repositery
ought to have all dependencies available.

-- 
        Andreas        [ http://unstable.nl | xmpp:andreas at unstable.nl ]
                       [  callto:ils.seconix.com/andreas at unstable.nl   ]
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: This is a digitally signed message part
Url : http://lists.jabber.ru/pipermail/ejabberd/attachments/20050219/1c7b3efe/attachment.bin


More information about the ejabberd mailing list